curl -X GET "https://my_sql_node.com/v1/callback?code=4/P7q7W91a-oMsCeLvIaQm6bTrgtp7&state=fRJfv29f3v39Jf39dJf93jf"import requests
url = "https://{sql_node}/v1/callback"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{sql_node}/v1/callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"reason": "Query executed successfully",
"sql_state": "00000",
"vendor_code": 0
}
}callback
Provides the authentication token for the OpenID Connect authentication process. The authorization server redirects to callback path after successful authentication.
This endpoint receives the authorization code from the OpenID provider and exchanges it for a token. The provider redirects the user to the application callback URL specified in the initial authentication request.
The client application should not call this endpoint directly. The OpenID provider automatically calls this endpoint in the authentication process.
curl -X GET "https://my_sql_node.com/v1/callback?code=4/P7q7W91a-oMsCeLvIaQm6bTrgtp7&state=fRJfv29f3v39Jf39dJf93jf"import requests
url = "https://{sql_node}/v1/callback"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{sql_node}/v1/callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"reason": "Query executed successfully",
"sql_state": "00000",
"vendor_code": 0
}
}Query Parameters
The authorization code from the OpenID provider. This endpoint exchanges the code for a token.
Example: code=4/P7q7W91a-oMsCeLvIaQm6bTrgtp7
Prevents cross-site request forgery attacks. This value should match the state in the initial authentication request.
Example: state=fRJfv29f3v39Jf39dJf93jf
Response
Response
Show child attributes
Show child attributes
Was this page helpful?

